| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
DC2460A.ino File Reference
RF, Silicon Oscillators, PLL Synthesizers, and VCOs » LTC5566: Dual Programmable Gain Downconverting Mixer

Copyright 2018(c) Analog Devices, Inc. More...

## Detailed Description

Copyright 2018(c) Analog Devices, Inc.

Linear Technology DC2460A Demonstration Board LTC5566: Dual Programmable Gain Downconverting Mixer

    The LTC5566 dual programmable gain downconverting mixer
    is ideal for diversity and MIMO receivers that require precise
    gain setting. Each channel incorporates an active mixer and a
    digital IF VGA with 15.5dB gain control range. The IF gain of
    each channel is programmed in 0.5dB steps through the SPI.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC5566

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2460A.ino.

Go to the source code of this file.

## Functions
static void | LTC5566_print_title ()
| Print the title block. More...
static void | LTC5566_print_prompt ()
| Prints the main menu. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 92 of file DC2460A.ino.

## ◆ LTC5566_print_prompt()

static void LTC5566_print_prompt | ( |  | ) |
| static

Prints the main menu.

Definition at line 157 of file DC2460A.ino.

## ◆ LTC5566_print_title()

static void LTC5566_print_title | ( |  | ) |
| static

Print the title block.

Definition at line 148 of file DC2460A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 77 of file DC2460A.ino.